import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementIdentityProviderFacebookConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly appId: string;
    readonly appSecret: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementIdentityProviderFacebookTimeouts;
}
export interface ApiManagementIdentityProviderFacebookTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementIdentityProviderFacebook extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementIdentityProviderFacebookConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _appId;
    get appId(): string;
    set appId(value: string);
    get appIdInput(): string;
    private _appSecret;
    get appSecret(): string;
    set appSecret(value: string);
    get appSecretInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementIdentityProviderFacebookTimeouts;
    set timeouts(value: ApiManagementIdentityProviderFacebookTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementIdentityProviderFacebookTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
