import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceActiveSlotConfig extends cdktf.TerraformMetaArguments {
    readonly appServiceName: string;
    readonly appServiceSlotName: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceActiveSlotTimeouts;
}
export interface AppServiceActiveSlotTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceActiveSlot extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceActiveSlotConfig);
    private _appServiceName;
    get appServiceName(): string;
    set appServiceName(value: string);
    get appServiceNameInput(): string;
    private _appServiceSlotName;
    get appServiceSlotName(): string;
    set appServiceSlotName(value: string);
    get appServiceSlotNameInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): AppServiceActiveSlotTimeouts;
    set timeouts(value: AppServiceActiveSlotTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceActiveSlotTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
