import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceSlotVirtualNetworkSwiftConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly appServiceId: string;
    readonly slotName: string;
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceSlotVirtualNetworkSwiftConnectionTimeouts;
}
export interface AppServiceSlotVirtualNetworkSwiftConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceSlotVirtualNetworkSwiftConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceSlotVirtualNetworkSwiftConnectionConfig);
    private _appServiceId;
    get appServiceId(): string;
    set appServiceId(value: string);
    get appServiceIdInput(): string;
    get id(): string;
    private _slotName;
    get slotName(): string;
    set slotName(value: string);
    get slotNameInput(): string;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _timeouts?;
    get timeouts(): AppServiceSlotVirtualNetworkSwiftConnectionTimeouts;
    set timeouts(value: AppServiceSlotVirtualNetworkSwiftConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceSlotVirtualNetworkSwiftConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
