import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceVirtualNetworkSwiftConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly appServiceId: string;
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceVirtualNetworkSwiftConnectionTimeouts;
}
export interface AppServiceVirtualNetworkSwiftConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceVirtualNetworkSwiftConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceVirtualNetworkSwiftConnectionConfig);
    private _appServiceId;
    get appServiceId(): string;
    set appServiceId(value: string);
    get appServiceIdInput(): string;
    get id(): string;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _timeouts?;
    get timeouts(): AppServiceVirtualNetworkSwiftConnectionTimeouts;
    set timeouts(value: AppServiceVirtualNetworkSwiftConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceVirtualNetworkSwiftConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
