import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermApiManagementApiVersionSetConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementApiVersionSetTimeouts;
}
export interface DataAzurermApiManagementApiVersionSetTimeouts {
    readonly read?: string;
}
export declare class DataAzurermApiManagementApiVersionSet extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementApiVersionSetConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    get description(): string;
    get displayName(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get versionHeaderName(): string;
    get versionQueryName(): string;
    get versioningScheme(): string;
    private _timeouts?;
    get timeouts(): DataAzurermApiManagementApiVersionSetTimeouts;
    set timeouts(value: DataAzurermApiManagementApiVersionSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermApiManagementApiVersionSetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
