import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermApiManagementGroupConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementGroupTimeouts;
}
export interface DataAzurermApiManagementGroupTimeouts {
    readonly read?: string;
}
export declare class DataAzurermApiManagementGroup extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementGroupConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    get description(): string;
    get displayName(): string;
    get externalId(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get type(): string;
    private _timeouts?;
    get timeouts(): DataAzurermApiManagementGroupTimeouts;
    set timeouts(value: DataAzurermApiManagementGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermApiManagementGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
