import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermAutomationVariableBoolConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAutomationVariableBoolTimeouts;
}
export interface DataAzurermAutomationVariableBoolTimeouts {
    readonly read?: string;
}
export declare class DataAzurermAutomationVariableBool extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermAutomationVariableBoolConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    get description(): string;
    get encrypted(): boolean;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get value(): boolean;
    private _timeouts?;
    get timeouts(): DataAzurermAutomationVariableBoolTimeouts;
    set timeouts(value: DataAzurermAutomationVariableBoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermAutomationVariableBoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
