import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermBlueprintDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly scopeId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermBlueprintDefinitionTimeouts;
}
export interface DataAzurermBlueprintDefinitionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermBlueprintDefinition extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermBlueprintDefinitionConfig);
    get description(): string;
    get displayName(): string;
    get id(): string;
    get lastModified(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _scopeId;
    get scopeId(): string;
    set scopeId(value: string);
    get scopeIdInput(): string;
    get targetScope(): string;
    get timeCreated(): string;
    get versions(): string[];
    private _timeouts?;
    get timeouts(): DataAzurermBlueprintDefinitionTimeouts;
    set timeouts(value: DataAzurermBlueprintDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermBlueprintDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
