import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermClientConfigConfig extends cdktf.TerraformMetaArguments {
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermClientConfigTimeouts;
}
export interface DataAzurermClientConfigTimeouts {
    readonly read?: string;
}
export declare class DataAzurermClientConfig extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAzurermClientConfigConfig);
    get clientId(): string;
    get id(): string;
    get objectId(): string;
    get subscriptionId(): string;
    get tenantId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermClientConfigTimeouts;
    set timeouts(value: DataAzurermClientConfigTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermClientConfigTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
