import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDataShareDatasetBlobStorageConfig extends cdktf.TerraformMetaArguments {
    readonly dataShareId: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDataShareDatasetBlobStorageTimeouts;
}
export declare class DataAzurermDataShareDatasetBlobStorageStorageAccount extends cdktf.ComplexComputedList {
    get name(): string;
    get resourceGroupName(): string;
    get subscriptionId(): string;
}
export interface DataAzurermDataShareDatasetBlobStorageTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDataShareDatasetBlobStorage extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDataShareDatasetBlobStorageConfig);
    get containerName(): string;
    private _dataShareId;
    get dataShareId(): string;
    set dataShareId(value: string);
    get dataShareIdInput(): string;
    get displayName(): string;
    get filePath(): string;
    get folderPath(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    storageAccount(index: string): DataAzurermDataShareDatasetBlobStorageStorageAccount;
    private _timeouts?;
    get timeouts(): DataAzurermDataShareDatasetBlobStorageTimeouts;
    set timeouts(value: DataAzurermDataShareDatasetBlobStorageTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDataShareDatasetBlobStorageTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
