import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDataShareDatasetDataLakeGen1Config extends cdktf.TerraformMetaArguments {
    readonly dataShareId: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDataShareDatasetDataLakeGen1Timeouts;
}
export interface DataAzurermDataShareDatasetDataLakeGen1Timeouts {
    readonly read?: string;
}
export declare class DataAzurermDataShareDatasetDataLakeGen1 extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDataShareDatasetDataLakeGen1Config);
    get dataLakeStoreId(): string;
    private _dataShareId;
    get dataShareId(): string;
    set dataShareId(value: string);
    get dataShareIdInput(): string;
    get displayName(): string;
    get fileName(): string;
    get folderPath(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermDataShareDatasetDataLakeGen1Timeouts;
    set timeouts(value: DataAzurermDataShareDatasetDataLakeGen1Timeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDataShareDatasetDataLakeGen1Timeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
