import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDataShareDatasetDataLakeGen2Config extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly shareId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDataShareDatasetDataLakeGen2Timeouts;
}
export interface DataAzurermDataShareDatasetDataLakeGen2Timeouts {
    readonly read?: string;
}
export declare class DataAzurermDataShareDatasetDataLakeGen2 extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDataShareDatasetDataLakeGen2Config);
    get displayName(): string;
    get filePath(): string;
    get fileSystemName(): string;
    get folderPath(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _shareId;
    get shareId(): string;
    set shareId(value: string);
    get shareIdInput(): string;
    get storageAccountId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermDataShareDatasetDataLakeGen2Timeouts;
    set timeouts(value: DataAzurermDataShareDatasetDataLakeGen2Timeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDataShareDatasetDataLakeGen2Timeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
