import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDataShareDatasetKustoClusterConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly shareId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDataShareDatasetKustoClusterTimeouts;
}
export interface DataAzurermDataShareDatasetKustoClusterTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDataShareDatasetKustoCluster extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDataShareDatasetKustoClusterConfig);
    get displayName(): string;
    get id(): string;
    get kustoClusterId(): string;
    get kustoClusterLocation(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _shareId;
    get shareId(): string;
    set shareId(value: string);
    get shareIdInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermDataShareDatasetKustoClusterTimeouts;
    set timeouts(value: DataAzurermDataShareDatasetKustoClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDataShareDatasetKustoClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
