import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDatabaseMigrationProjectConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serviceName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDatabaseMigrationProjectTimeouts;
}
export interface DataAzurermDatabaseMigrationProjectTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDatabaseMigrationProject extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDatabaseMigrationProjectConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serviceName;
    get serviceName(): string;
    set serviceName(value: string);
    get serviceNameInput(): string;
    get sourcePlatform(): string;
    tags(key: string): string;
    get targetPlatform(): string;
    private _timeouts?;
    get timeouts(): DataAzurermDatabaseMigrationProjectTimeouts;
    set timeouts(value: DataAzurermDatabaseMigrationProjectTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDatabaseMigrationProjectTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
