import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDatabricksWorkspaceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDatabricksWorkspaceTimeouts;
}
export interface DataAzurermDatabricksWorkspaceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDatabricksWorkspace extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDatabricksWorkspaceConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sku(): string;
    get workspaceId(): string;
    get workspaceUrl(): string;
    private _timeouts?;
    get timeouts(): DataAzurermDatabricksWorkspaceTimeouts;
    set timeouts(value: DataAzurermDatabricksWorkspaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDatabricksWorkspaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
