import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDedicatedHostGroupConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDedicatedHostGroupTimeouts;
}
export interface DataAzurermDedicatedHostGroupTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDedicatedHostGroup extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDedicatedHostGroupConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get platformFaultDomainCount(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    get zones(): string[];
    private _timeouts?;
    get timeouts(): DataAzurermDedicatedHostGroupTimeouts;
    set timeouts(value: DataAzurermDedicatedHostGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDedicatedHostGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
