import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermIothubDpsSharedAccessPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly iothubDpsName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermIothubDpsSharedAccessPolicyTimeouts;
}
export interface DataAzurermIothubDpsSharedAccessPolicyTimeouts {
    readonly read?: string;
}
export declare class DataAzurermIothubDpsSharedAccessPolicy extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermIothubDpsSharedAccessPolicyConfig);
    get id(): string;
    private _iothubDpsName;
    get iothubDpsName(): string;
    set iothubDpsName(value: string);
    get iothubDpsNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryConnectionString(): string;
    get primaryKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryConnectionString(): string;
    get secondaryKey(): string;
    private _timeouts?;
    get timeouts(): DataAzurermIothubDpsSharedAccessPolicyTimeouts;
    set timeouts(value: DataAzurermIothubDpsSharedAccessPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermIothubDpsSharedAccessPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
