import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermIothubSharedAccessPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly iothubName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermIothubSharedAccessPolicyTimeouts;
}
export interface DataAzurermIothubSharedAccessPolicyTimeouts {
    readonly read?: string;
}
export declare class DataAzurermIothubSharedAccessPolicy extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermIothubSharedAccessPolicyConfig);
    get id(): string;
    private _iothubName;
    get iothubName(): string;
    set iothubName(value: string);
    get iothubNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryConnectionString(): string;
    get primaryKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryConnectionString(): string;
    get secondaryKey(): string;
    private _timeouts?;
    get timeouts(): DataAzurermIothubSharedAccessPolicyTimeouts;
    set timeouts(value: DataAzurermIothubSharedAccessPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermIothubSharedAccessPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
