import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermKeyVaultAccessPolicyAConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKeyVaultAccessPolicyTimeouts;
}
export interface DataAzurermKeyVaultAccessPolicyTimeouts {
    readonly read?: string;
}
export declare class DataAzurermKeyVaultAccessPolicyA extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultAccessPolicyAConfig);
    get certificatePermissions(): string[];
    get id(): string;
    get keyPermissions(): string[];
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get secretPermissions(): string[];
    private _timeouts?;
    get timeouts(): DataAzurermKeyVaultAccessPolicyTimeouts;
    set timeouts(value: DataAzurermKeyVaultAccessPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermKeyVaultAccessPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
