import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermKubernetesServiceVersionsConfig extends cdktf.TerraformMetaArguments {
    readonly includePreview?: boolean;
    readonly location: string;
    readonly versionPrefix?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKubernetesServiceVersionsTimeouts;
}
export interface DataAzurermKubernetesServiceVersionsTimeouts {
    readonly read?: string;
}
export declare class DataAzurermKubernetesServiceVersions extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermKubernetesServiceVersionsConfig);
    get id(): string;
    private _includePreview?;
    get includePreview(): boolean;
    set includePreview(value: boolean);
    resetIncludePreview(): void;
    get includePreviewInput(): boolean | undefined;
    get latestVersion(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _versionPrefix?;
    get versionPrefix(): string;
    set versionPrefix(value: string);
    resetVersionPrefix(): void;
    get versionPrefixInput(): string | undefined;
    get versions(): string[];
    private _timeouts?;
    get timeouts(): DataAzurermKubernetesServiceVersionsTimeouts;
    set timeouts(value: DataAzurermKubernetesServiceVersionsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermKubernetesServiceVersionsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
