import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermLbBackendAddressPoolConfig extends cdktf.TerraformMetaArguments {
    readonly loadbalancerId: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermLbBackendAddressPoolTimeouts;
}
export declare class DataAzurermLbBackendAddressPoolBackendIpConfigurations extends cdktf.ComplexComputedList {
    get id(): string;
}
export interface DataAzurermLbBackendAddressPoolTimeouts {
    readonly read?: string;
}
export declare class DataAzurermLbBackendAddressPool extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermLbBackendAddressPoolConfig);
    backendIpConfigurations(index: string): DataAzurermLbBackendAddressPoolBackendIpConfigurations;
    get id(): string;
    private _loadbalancerId;
    get loadbalancerId(): string;
    set loadbalancerId(value: string);
    get loadbalancerIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermLbBackendAddressPoolTimeouts;
    set timeouts(value: DataAzurermLbBackendAddressPoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermLbBackendAddressPoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
