import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermManagementGroupConfig extends cdktf.TerraformMetaArguments {
    readonly displayName?: string;
    readonly groupId?: string;
    readonly name?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermManagementGroupTimeouts;
}
export interface DataAzurermManagementGroupTimeouts {
    readonly read?: string;
}
export declare class DataAzurermManagementGroup extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAzurermManagementGroupConfig);
    private _displayName?;
    get displayName(): string;
    set displayName(value: string);
    resetDisplayName(): void;
    get displayNameInput(): string | undefined;
    private _groupId?;
    get groupId(): string;
    set groupId(value: string);
    resetGroupId(): void;
    get groupIdInput(): string | undefined;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    get parentManagementGroupId(): string;
    get subscriptionIds(): string[];
    private _timeouts?;
    get timeouts(): DataAzurermManagementGroupTimeouts;
    set timeouts(value: DataAzurermManagementGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermManagementGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
