import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMonitorScheduledQueryRulesLogConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMonitorScheduledQueryRulesLogTimeouts;
}
export declare class DataAzurermMonitorScheduledQueryRulesLogCriteriaDimension extends cdktf.ComplexComputedList {
    get name(): string;
    get operator(): string;
    get values(): string[];
}
export declare class DataAzurermMonitorScheduledQueryRulesLogCriteria extends cdktf.ComplexComputedList {
    get dimension(): any;
    get metricName(): string;
}
export interface DataAzurermMonitorScheduledQueryRulesLogTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMonitorScheduledQueryRulesLog extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMonitorScheduledQueryRulesLogConfig);
    get authorizedResourceIds(): string[];
    criteria(index: string): DataAzurermMonitorScheduledQueryRulesLogCriteria;
    get dataSourceId(): string;
    get description(): string;
    get enabled(): boolean;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermMonitorScheduledQueryRulesLogTimeouts;
    set timeouts(value: DataAzurermMonitorScheduledQueryRulesLogTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMonitorScheduledQueryRulesLogTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
