import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermNetappAccountConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNetappAccountTimeouts;
}
export interface DataAzurermNetappAccountTimeouts {
    readonly read?: string;
}
export declare class DataAzurermNetappAccount extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermNetappAccountConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermNetappAccountTimeouts;
    set timeouts(value: DataAzurermNetappAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermNetappAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
