import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermNetappPoolConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNetappPoolTimeouts;
}
export interface DataAzurermNetappPoolTimeouts {
    readonly read?: string;
}
export declare class DataAzurermNetappPool extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermNetappPoolConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get serviceLevel(): string;
    get sizeInTb(): number;
    private _timeouts?;
    get timeouts(): DataAzurermNetappPoolTimeouts;
    set timeouts(value: DataAzurermNetappPoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermNetappPoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
