import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPrivateEndpointConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPrivateEndpointConnectionTimeouts;
}
export declare class DataAzurermPrivateEndpointConnectionPrivateServiceConnection extends cdktf.ComplexComputedList {
    get name(): string;
    get privateIpAddress(): string;
    get requestResponse(): string;
    get status(): string;
}
export interface DataAzurermPrivateEndpointConnectionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPrivateEndpointConnection extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermPrivateEndpointConnectionConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    privateServiceConnection(index: string): DataAzurermPrivateEndpointConnectionPrivateServiceConnection;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermPrivateEndpointConnectionTimeouts;
    set timeouts(value: DataAzurermPrivateEndpointConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPrivateEndpointConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
