import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermProximityPlacementGroupConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermProximityPlacementGroupTimeouts;
}
export interface DataAzurermProximityPlacementGroupTimeouts {
    readonly read?: string;
}
export declare class DataAzurermProximityPlacementGroup extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermProximityPlacementGroupConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermProximityPlacementGroupTimeouts;
    set timeouts(value: DataAzurermProximityPlacementGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermProximityPlacementGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
