import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermRecoveryServicesVaultConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermRecoveryServicesVaultTimeouts;
}
export interface DataAzurermRecoveryServicesVaultTimeouts {
    readonly read?: string;
}
export declare class DataAzurermRecoveryServicesVault extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermRecoveryServicesVaultConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sku(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermRecoveryServicesVaultTimeouts;
    set timeouts(value: DataAzurermRecoveryServicesVaultTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermRecoveryServicesVaultTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
