import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermServicebusTopicAuthorizationRuleConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    readonly topicName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermServicebusTopicAuthorizationRuleTimeouts;
}
export interface DataAzurermServicebusTopicAuthorizationRuleTimeouts {
    readonly read?: string;
}
export declare class DataAzurermServicebusTopicAuthorizationRule extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermServicebusTopicAuthorizationRuleConfig);
    get id(): string;
    get listen(): boolean;
    get manage(): boolean;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    get primaryConnectionString(): string;
    get primaryKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryConnectionString(): string;
    get secondaryKey(): string;
    get send(): boolean;
    private _topicName;
    get topicName(): string;
    set topicName(value: string);
    get topicNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermServicebusTopicAuthorizationRuleTimeouts;
    set timeouts(value: DataAzurermServicebusTopicAuthorizationRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermServicebusTopicAuthorizationRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
