import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermTrafficManagerGeographicalLocationConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermTrafficManagerGeographicalLocationTimeouts;
}
export interface DataAzurermTrafficManagerGeographicalLocationTimeouts {
    readonly read?: string;
}
export declare class DataAzurermTrafficManagerGeographicalLocation extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermTrafficManagerGeographicalLocationConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermTrafficManagerGeographicalLocationTimeouts;
    set timeouts(value: DataAzurermTrafficManagerGeographicalLocationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermTrafficManagerGeographicalLocationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
