import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataShareDatasetDataLakeGen1Config extends cdktf.TerraformMetaArguments {
    readonly dataLakeStoreId: string;
    readonly dataShareId: string;
    readonly fileName?: string;
    readonly folderPath: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataShareDatasetDataLakeGen1Timeouts;
}
export interface DataShareDatasetDataLakeGen1Timeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class DataShareDatasetDataLakeGen1 extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataShareDatasetDataLakeGen1Config);
    private _dataLakeStoreId;
    get dataLakeStoreId(): string;
    set dataLakeStoreId(value: string);
    get dataLakeStoreIdInput(): string;
    private _dataShareId;
    get dataShareId(): string;
    set dataShareId(value: string);
    get dataShareIdInput(): string;
    get displayName(): string;
    private _fileName?;
    get fileName(): string;
    set fileName(value: string);
    resetFileName(): void;
    get fileNameInput(): string | undefined;
    private _folderPath;
    get folderPath(): string;
    set folderPath(value: string);
    get folderPathInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _timeouts?;
    get timeouts(): DataShareDatasetDataLakeGen1Timeouts;
    set timeouts(value: DataShareDatasetDataLakeGen1Timeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataShareDatasetDataLakeGen1Timeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
