import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventhubNamespaceDisasterRecoveryConfigConfig extends cdktf.TerraformMetaArguments {
    readonly alternateName?: string;
    readonly name: string;
    readonly namespaceName: string;
    readonly partnerNamespaceId: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubNamespaceDisasterRecoveryConfigTimeouts;
}
export interface EventhubNamespaceDisasterRecoveryConfigTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class EventhubNamespaceDisasterRecoveryConfig extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: EventhubNamespaceDisasterRecoveryConfigConfig);
    private _alternateName?;
    get alternateName(): string;
    set alternateName(value: string);
    resetAlternateName(): void;
    get alternateNameInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _partnerNamespaceId;
    get partnerNamespaceId(): string;
    set partnerNamespaceId(value: string);
    get partnerNamespaceIdInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): EventhubNamespaceDisasterRecoveryConfigTimeouts;
    set timeouts(value: EventhubNamespaceDisasterRecoveryConfigTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): EventhubNamespaceDisasterRecoveryConfigTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
