import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkInterfaceApplicationGatewayBackendAddressPoolAssociationConfig extends cdktf.TerraformMetaArguments {
    readonly backendAddressPoolId: string;
    readonly ipConfigurationName: string;
    readonly networkInterfaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkInterfaceApplicationGatewayBackendAddressPoolAssociationTimeouts;
}
export interface NetworkInterfaceApplicationGatewayBackendAddressPoolAssociationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetworkInterfaceApplicationGatewayBackendAddressPoolAssociation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkInterfaceApplicationGatewayBackendAddressPoolAssociationConfig);
    private _backendAddressPoolId;
    get backendAddressPoolId(): string;
    set backendAddressPoolId(value: string);
    get backendAddressPoolIdInput(): string;
    get id(): string;
    private _ipConfigurationName;
    get ipConfigurationName(): string;
    set ipConfigurationName(value: string);
    get ipConfigurationNameInput(): string;
    private _networkInterfaceId;
    get networkInterfaceId(): string;
    set networkInterfaceId(value: string);
    get networkInterfaceIdInput(): string;
    private _timeouts?;
    get timeouts(): NetworkInterfaceApplicationGatewayBackendAddressPoolAssociationTimeouts;
    set timeouts(value: NetworkInterfaceApplicationGatewayBackendAddressPoolAssociationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkInterfaceApplicationGatewayBackendAddressPoolAssociationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
