import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkInterfaceApplicationSecurityGroupAssociationConfig extends cdktf.TerraformMetaArguments {
    readonly applicationSecurityGroupId: string;
    readonly networkInterfaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkInterfaceApplicationSecurityGroupAssociationTimeouts;
}
export interface NetworkInterfaceApplicationSecurityGroupAssociationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetworkInterfaceApplicationSecurityGroupAssociation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkInterfaceApplicationSecurityGroupAssociationConfig);
    private _applicationSecurityGroupId;
    get applicationSecurityGroupId(): string;
    set applicationSecurityGroupId(value: string);
    get applicationSecurityGroupIdInput(): string;
    get id(): string;
    private _networkInterfaceId;
    get networkInterfaceId(): string;
    set networkInterfaceId(value: string);
    get networkInterfaceIdInput(): string;
    private _timeouts?;
    get timeouts(): NetworkInterfaceApplicationSecurityGroupAssociationTimeouts;
    set timeouts(value: NetworkInterfaceApplicationSecurityGroupAssociationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkInterfaceApplicationSecurityGroupAssociationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
