import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SecurityCenterSubscriptionPricingConfig extends cdktf.TerraformMetaArguments {
    readonly resourceType?: string;
    readonly tier: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SecurityCenterSubscriptionPricingTimeouts;
}
export interface SecurityCenterSubscriptionPricingTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SecurityCenterSubscriptionPricing extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SecurityCenterSubscriptionPricingConfig);
    get id(): string;
    private _resourceType?;
    get resourceType(): string;
    set resourceType(value: string);
    resetResourceType(): void;
    get resourceTypeInput(): string | undefined;
    private _tier;
    get tier(): string;
    set tier(value: string);
    get tierInput(): string;
    private _timeouts?;
    get timeouts(): SecurityCenterSubscriptionPricingTimeouts;
    set timeouts(value: SecurityCenterSubscriptionPricingTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SecurityCenterSubscriptionPricingTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
