import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualDesktopWorkspaceApplicationGroupAssociationConfig extends cdktf.TerraformMetaArguments {
    readonly applicationGroupId: string;
    readonly workspaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualDesktopWorkspaceApplicationGroupAssociationTimeouts;
}
export interface VirtualDesktopWorkspaceApplicationGroupAssociationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualDesktopWorkspaceApplicationGroupAssociation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualDesktopWorkspaceApplicationGroupAssociationConfig);
    private _applicationGroupId;
    get applicationGroupId(): string;
    set applicationGroupId(value: string);
    get applicationGroupIdInput(): string;
    get id(): string;
    private _workspaceId;
    get workspaceId(): string;
    set workspaceId(value: string);
    get workspaceIdInput(): string;
    private _timeouts?;
    get timeouts(): VirtualDesktopWorkspaceApplicationGroupAssociationTimeouts;
    set timeouts(value: VirtualDesktopWorkspaceApplicationGroupAssociationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualDesktopWorkspaceApplicationGroupAssociationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
