import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementIdentityProviderGoogleConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly clientId: string;
    readonly clientSecret: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementIdentityProviderGoogleTimeouts;
}
export interface ApiManagementIdentityProviderGoogleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementIdentityProviderGoogle extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementIdentityProviderGoogleConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _clientId;
    get clientId(): string;
    set clientId(value: string);
    get clientIdInput(): string;
    private _clientSecret;
    get clientSecret(): string;
    set clientSecret(value: string);
    get clientSecretInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementIdentityProviderGoogleTimeouts;
    set timeouts(value: ApiManagementIdentityProviderGoogleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementIdentityProviderGoogleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
