import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermBatchCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermBatchCertificateTimeouts;
}
export interface DataAzurermBatchCertificateTimeouts {
    readonly read?: string;
}
export declare class DataAzurermBatchCertificate extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermBatchCertificateConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get format(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get publicData(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get thumbprint(): string;
    get thumbprintAlgorithm(): string;
    private _timeouts?;
    get timeouts(): DataAzurermBatchCertificateTimeouts;
    set timeouts(value: DataAzurermBatchCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermBatchCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
