import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermBlueprintPublishedVersionConfig extends cdktf.TerraformMetaArguments {
    readonly blueprintName: string;
    readonly scopeId: string;
    readonly version: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermBlueprintPublishedVersionTimeouts;
}
export interface DataAzurermBlueprintPublishedVersionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermBlueprintPublishedVersion extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermBlueprintPublishedVersionConfig);
    private _blueprintName;
    get blueprintName(): string;
    set blueprintName(value: string);
    get blueprintNameInput(): string;
    get description(): string;
    get displayName(): string;
    get id(): string;
    get lastModified(): string;
    private _scopeId;
    get scopeId(): string;
    set scopeId(value: string);
    get scopeIdInput(): string;
    get targetScope(): string;
    get timeCreated(): string;
    get type(): string;
    private _version;
    get version(): string;
    set version(value: string);
    get versionInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermBlueprintPublishedVersionTimeouts;
    set timeouts(value: DataAzurermBlueprintPublishedVersionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermBlueprintPublishedVersionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
