import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDatabaseMigrationServiceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDatabaseMigrationServiceTimeouts;
}
export interface DataAzurermDatabaseMigrationServiceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDatabaseMigrationService extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDatabaseMigrationServiceConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get skuName(): string;
    get subnetId(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermDatabaseMigrationServiceTimeouts;
    set timeouts(value: DataAzurermDatabaseMigrationServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDatabaseMigrationServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
