import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermEventhubConsumerGroupConfig extends cdktf.TerraformMetaArguments {
    readonly eventhubName: string;
    readonly name: string;
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermEventhubConsumerGroupTimeouts;
}
export interface DataAzurermEventhubConsumerGroupTimeouts {
    readonly read?: string;
}
export declare class DataAzurermEventhubConsumerGroup extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermEventhubConsumerGroupConfig);
    private _eventhubName;
    get eventhubName(): string;
    set eventhubName(value: string);
    get eventhubNameInput(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get userMetadata(): string;
    private _timeouts?;
    get timeouts(): DataAzurermEventhubConsumerGroupTimeouts;
    set timeouts(value: DataAzurermEventhubConsumerGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermEventhubConsumerGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
