import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermEventhubConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermEventhubTimeouts;
}
export interface DataAzurermEventhubTimeouts {
    readonly read?: string;
}
export declare class DataAzurermEventhub extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermEventhubConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    get partitionCount(): number;
    get partitionIds(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermEventhubTimeouts;
    set timeouts(value: DataAzurermEventhubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermEventhubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
