import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermFunctionAppHostKeysConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermFunctionAppHostKeysTimeouts;
}
export interface DataAzurermFunctionAppHostKeysTimeouts {
    readonly read?: string;
}
export declare class DataAzurermFunctionAppHostKeys extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermFunctionAppHostKeysConfig);
    get defaultFunctionKey(): string;
    get id(): string;
    get masterKey(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermFunctionAppHostKeysTimeouts;
    set timeouts(value: DataAzurermFunctionAppHostKeysTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermFunctionAppHostKeysTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
