import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermLogicAppIntegrationAccountConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermLogicAppIntegrationAccountTimeouts;
}
export interface DataAzurermLogicAppIntegrationAccountTimeouts {
    readonly read?: string;
}
export declare class DataAzurermLogicAppIntegrationAccount extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermLogicAppIntegrationAccountConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get skuName(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermLogicAppIntegrationAccountTimeouts;
    set timeouts(value: DataAzurermLogicAppIntegrationAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermLogicAppIntegrationAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
