import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMaintenanceConfigurationConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMaintenanceConfigurationTimeouts;
}
export interface DataAzurermMaintenanceConfigurationTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMaintenanceConfiguration extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMaintenanceConfigurationConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get scope(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermMaintenanceConfigurationTimeouts;
    set timeouts(value: DataAzurermMaintenanceConfigurationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMaintenanceConfigurationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
