import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermManagedApplicationDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermManagedApplicationDefinitionTimeouts;
}
export interface DataAzurermManagedApplicationDefinitionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermManagedApplicationDefinition extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermManagedApplicationDefinitionConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermManagedApplicationDefinitionTimeouts;
    set timeouts(value: DataAzurermManagedApplicationDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermManagedApplicationDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
