import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMonitorDiagnosticCategoriesConfig extends cdktf.TerraformMetaArguments {
    readonly resourceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMonitorDiagnosticCategoriesTimeouts;
}
export interface DataAzurermMonitorDiagnosticCategoriesTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMonitorDiagnosticCategories extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMonitorDiagnosticCategoriesConfig);
    get id(): string;
    get logs(): string[];
    get metrics(): string[];
    private _resourceId;
    get resourceId(): string;
    set resourceId(value: string);
    get resourceIdInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermMonitorDiagnosticCategoriesTimeouts;
    set timeouts(value: DataAzurermMonitorDiagnosticCategoriesTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMonitorDiagnosticCategoriesTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
