import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermNetappSnapshotConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly name: string;
    readonly poolName: string;
    readonly resourceGroupName: string;
    readonly volumeName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNetappSnapshotTimeouts;
}
export interface DataAzurermNetappSnapshotTimeouts {
    readonly read?: string;
}
export declare class DataAzurermNetappSnapshot extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermNetappSnapshotConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _poolName;
    get poolName(): string;
    set poolName(value: string);
    get poolNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _volumeName;
    get volumeName(): string;
    set volumeName(value: string);
    get volumeNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermNetappSnapshotTimeouts;
    set timeouts(value: DataAzurermNetappSnapshotTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermNetappSnapshotTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
