import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPrivateLinkServiceEndpointConnectionsConfig extends cdktf.TerraformMetaArguments {
    readonly resourceGroupName: string;
    readonly serviceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPrivateLinkServiceEndpointConnectionsTimeouts;
}
export declare class DataAzurermPrivateLinkServiceEndpointConnectionsPrivateEndpointConnections extends cdktf.ComplexComputedList {
    get actionRequired(): string;
    get connectionId(): string;
    get connectionName(): string;
    get description(): string;
    get privateEndpointId(): string;
    get privateEndpointName(): string;
    get status(): string;
}
export interface DataAzurermPrivateLinkServiceEndpointConnectionsTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPrivateLinkServiceEndpointConnections extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermPrivateLinkServiceEndpointConnectionsConfig);
    get id(): string;
    get location(): string;
    privateEndpointConnections(index: string): DataAzurermPrivateLinkServiceEndpointConnectionsPrivateEndpointConnections;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serviceId;
    get serviceId(): string;
    set serviceId(value: string);
    get serviceIdInput(): string;
    get serviceName(): string;
    private _timeouts?;
    get timeouts(): DataAzurermPrivateLinkServiceEndpointConnectionsTimeouts;
    set timeouts(value: DataAzurermPrivateLinkServiceEndpointConnectionsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPrivateLinkServiceEndpointConnectionsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
