import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermResourceGroupConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermResourceGroupTimeouts;
}
export interface DataAzurermResourceGroupTimeouts {
    readonly read?: string;
}
export declare class DataAzurermResourceGroup extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermResourceGroupConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermResourceGroupTimeouts;
    set timeouts(value: DataAzurermResourceGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermResourceGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
