import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSentinelAlertRuleConfig extends cdktf.TerraformMetaArguments {
    readonly logAnalyticsWorkspaceId: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSentinelAlertRuleTimeouts;
}
export interface DataAzurermSentinelAlertRuleTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSentinelAlertRule extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSentinelAlertRuleConfig);
    get id(): string;
    private _logAnalyticsWorkspaceId;
    get logAnalyticsWorkspaceId(): string;
    set logAnalyticsWorkspaceId(value: string);
    get logAnalyticsWorkspaceIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermSentinelAlertRuleTimeouts;
    set timeouts(value: DataAzurermSentinelAlertRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSentinelAlertRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
