import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermStorageSyncGroupConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly storageSyncId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageSyncGroupTimeouts;
}
export interface DataAzurermStorageSyncGroupTimeouts {
    readonly read?: string;
}
export declare class DataAzurermStorageSyncGroup extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermStorageSyncGroupConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _storageSyncId;
    get storageSyncId(): string;
    set storageSyncId(value: string);
    get storageSyncIdInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermStorageSyncGroupTimeouts;
    set timeouts(value: DataAzurermStorageSyncGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermStorageSyncGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
