import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataShareDatasetDataLakeGen2Config extends cdktf.TerraformMetaArguments {
    readonly filePath?: string;
    readonly fileSystemName: string;
    readonly folderPath?: string;
    readonly name: string;
    readonly shareId: string;
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataShareDatasetDataLakeGen2Timeouts;
}
export interface DataShareDatasetDataLakeGen2Timeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class DataShareDatasetDataLakeGen2 extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataShareDatasetDataLakeGen2Config);
    get displayName(): string;
    private _filePath?;
    get filePath(): string;
    set filePath(value: string);
    resetFilePath(): void;
    get filePathInput(): string | undefined;
    private _fileSystemName;
    get fileSystemName(): string;
    set fileSystemName(value: string);
    get fileSystemNameInput(): string;
    private _folderPath?;
    get folderPath(): string;
    set folderPath(value: string);
    resetFolderPath(): void;
    get folderPathInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _shareId;
    get shareId(): string;
    set shareId(value: string);
    get shareIdInput(): string;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _timeouts?;
    get timeouts(): DataShareDatasetDataLakeGen2Timeouts;
    set timeouts(value: DataShareDatasetDataLakeGen2Timeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataShareDatasetDataLakeGen2Timeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
