export * from './advanced-threat-protection';
export * from './analysis-services-server';
export * from './api-management';
export * from './api-management-api';
export * from './api-management-api-diagnostic';
export * from './api-management-api-operation';
export * from './api-management-api-operation-policy';
export * from './api-management-api-policy';
export * from './api-management-api-schema';
export * from './api-management-api-version-set';
export * from './api-management-authorization-server';
export * from './api-management-backend';
export * from './api-management-certificate';
export * from './api-management-custom-domain';
export * from './api-management-diagnostic';
export * from './api-management-group';
export * from './api-management-group-user';
export * from './api-management-identity-provider-aad';
export * from './api-management-identity-provider-facebook';
export * from './api-management-identity-provider-google';
export * from './api-management-identity-provider-microsoft';
export * from './api-management-identity-provider-twitter';
export * from './api-management-logger';
export * from './api-management-named-value';
export * from './api-management-openid-connect-provider';
export * from './api-management-policy';
export * from './api-management-product';
export * from './api-management-product-api';
export * from './api-management-product-group';
export * from './api-management-product-policy';
export * from './api-management-property';
export * from './api-management-subscription';
export * from './api-management-user';
export * from './app-configuration';
export * from './app-service';
export * from './app-service-active-slot';
export * from './app-service-certificate';
export * from './app-service-certificate-binding';
export * from './app-service-certificate-order';
export * from './app-service-custom-hostname-binding';
export * from './app-service-environment';
export * from './app-service-hybrid-connection';
export * from './app-service-managed-certificate';
export * from './app-service-plan';
export * from './app-service-slot';
export * from './app-service-slot-virtual-network-swift-connection';
export * from './app-service-source-control-token';
export * from './app-service-virtual-network-swift-connection';
export * from './application-gateway';
export * from './application-insights';
export * from './application-insights-analytics-item';
export * from './application-insights-api-key';
export * from './application-insights-web-test';
export * from './application-security-group';
export * from './attestation-provider';
export * from './automation-account';
export * from './automation-certificate';
export * from './automation-connection';
export * from './automation-connection-certificate';
export * from './automation-connection-classic-certificate';
export * from './automation-connection-service-principal';
export * from './automation-credential';
export * from './automation-dsc-configuration';
export * from './automation-dsc-nodeconfiguration';
export * from './automation-job-schedule';
export * from './automation-module';
export * from './automation-runbook';
export * from './automation-schedule';
export * from './automation-variable-bool';
export * from './automation-variable-datetime';
export * from './automation-variable-int';
export * from './automation-variable-string';
export * from './availability-set';
export * from './backup-container-storage-account';
export * from './backup-policy-file-share';
export * from './backup-policy-vm';
export * from './backup-protected-file-share';
export * from './backup-protected-vm';
export * from './bastion-host';
export * from './batch-account';
export * from './batch-application';
export * from './batch-certificate';
export * from './batch-pool';
export * from './blueprint-assignment';
export * from './bot-channel-directline';
export * from './bot-channel-email';
export * from './bot-channel-ms-teams';
export * from './bot-channel-slack';
export * from './bot-channels-registration';
export * from './bot-connection';
export * from './bot-web-app';
export * from './cdn-endpoint';
export * from './cdn-profile';
export * from './cognitive-account';
export * from './container-group';
export * from './container-registry';
export * from './container-registry-webhook';
export * from './cosmosdb-account';
export * from './cosmosdb-cassandra-keyspace';
export * from './cosmosdb-gremlin-database';
export * from './cosmosdb-gremlin-graph';
export * from './cosmosdb-mongo-collection';
export * from './cosmosdb-mongo-database';
export * from './cosmosdb-sql-container';
export * from './cosmosdb-sql-database';
export * from './cosmosdb-sql-stored-procedure';
export * from './cosmosdb-table';
export * from './cost-management-export-resource-group';
export * from './custom-provider';
export * from './dashboard';
export * from './data-factory';
export * from './data-factory-dataset-azure-blob';
export * from './data-factory-dataset-cosmosdb-sqlapi';
export * from './data-factory-dataset-delimited-text';
export * from './data-factory-dataset-http';
export * from './data-factory-dataset-json';
export * from './data-factory-dataset-mysql';
export * from './data-factory-dataset-postgresql';
export * from './data-factory-dataset-sql-server-table';
export * from './data-factory-integration-runtime-managed';
export * from './data-factory-integration-runtime-self-hosted';
export * from './data-factory-linked-service-azure-blob-storage';
export * from './data-factory-linked-service-azure-file-storage';
export * from './data-factory-linked-service-azure-function';
export * from './data-factory-linked-service-azure-sql-database';
export * from './data-factory-linked-service-cosmosdb';
export * from './data-factory-linked-service-data-lake-storage-gen2';
export * from './data-factory-linked-service-key-vault';
export * from './data-factory-linked-service-mysql';
export * from './data-factory-linked-service-postgresql';
export * from './data-factory-linked-service-sftp';
export * from './data-factory-linked-service-sql-server';
export * from './data-factory-linked-service-web';
export * from './data-factory-pipeline';
export * from './data-factory-trigger-schedule';
export * from './data-lake-analytics-account';
export * from './data-lake-analytics-firewall-rule';
export * from './data-lake-store';
export * from './data-lake-store-file';
export * from './data-lake-store-firewall-rule';
export * from './data-share';
export * from './data-share-account';
export * from './data-share-dataset-blob-storage';
export * from './data-share-dataset-data-lake-gen1';
export * from './data-share-dataset-data-lake-gen2';
export * from './data-share-dataset-kusto-cluster';
export * from './data-share-dataset-kusto-database';
export * from './database-migration-project';
export * from './database-migration-service';
export * from './databricks-workspace';
export * from './dedicated-hardware-security-module';
export * from './dedicated-host';
export * from './dedicated-host-group';
export * from './dev-test-global-vm-shutdown-schedule';
export * from './dev-test-lab';
export * from './dev-test-linux-virtual-machine';
export * from './dev-test-policy';
export * from './dev-test-schedule';
export * from './dev-test-virtual-network';
export * from './dev-test-windows-virtual-machine';
export * from './devspace-controller';
export * from './digital-twins-endpoint-eventgrid';
export * from './digital-twins-endpoint-eventhub';
export * from './digital-twins-endpoint-servicebus';
export * from './digital-twins-instance';
export * from './disk-encryption-set';
export * from './dns-a-record';
export * from './dns-aaaa-record';
export * from './dns-caa-record';
export * from './dns-cname-record';
export * from './dns-mx-record';
export * from './dns-ns-record';
export * from './dns-ptr-record';
export * from './dns-srv-record';
export * from './dns-txt-record';
export * from './dns-zone';
export * from './eventgrid-domain';
export * from './eventgrid-domain-topic';
export * from './eventgrid-event-subscription';
export * from './eventgrid-system-topic';
export * from './eventgrid-topic';
export * from './eventhub';
export * from './eventhub-authorization-rule';
export * from './eventhub-cluster';
export * from './eventhub-consumer-group';
export * from './eventhub-namespace';
export * from './eventhub-namespace-authorization-rule';
export * from './eventhub-namespace-disaster-recovery-config';
export * from './express-route-circuit';
export * from './express-route-circuit-authorization';
export * from './express-route-circuit-peering';
export * from './express-route-gateway';
export * from './firewall';
export * from './firewall-application-rule-collection';
export * from './firewall-nat-rule-collection';
export * from './firewall-network-rule-collection';
export * from './firewall-policy';
export * from './firewall-policy-rule-collection-group';
export * from './frontdoor';
export * from './frontdoor-custom-https-configuration';
export * from './frontdoor-firewall-policy';
export * from './function-app';
export * from './function-app-slot';
export * from './hdinsight-hadoop-cluster';
export * from './hdinsight-hbase-cluster';
export * from './hdinsight-interactive-query-cluster';
export * from './hdinsight-kafka-cluster';
export * from './hdinsight-ml-services-cluster';
export * from './hdinsight-rserver-cluster';
export * from './hdinsight-spark-cluster';
export * from './hdinsight-storm-cluster';
export * from './healthcare-service';
export * from './hpc-cache';
export * from './hpc-cache-blob-target';
export * from './hpc-cache-nfs-target';
export * from './image';
export * from './integration-service-environment';
export * from './iot-time-series-insights-access-policy';
export * from './iot-time-series-insights-gen2-environment';
export * from './iot-time-series-insights-reference-data-set';
export * from './iot-time-series-insights-standard-environment';
export * from './iotcentral-application';
export * from './iothub';
export * from './iothub-consumer-group';
export * from './iothub-dps';
export * from './iothub-dps-certificate';
export * from './iothub-dps-shared-access-policy';
export * from './iothub-endpoint-eventhub';
export * from './iothub-endpoint-servicebus-queue';
export * from './iothub-endpoint-servicebus-topic';
export * from './iothub-endpoint-storage-container';
export * from './iothub-fallback-route';
export * from './iothub-route';
export * from './iothub-shared-access-policy';
export * from './ip-group';
export * from './key-vault';
export * from './key-vault-access-policy';
export * from './key-vault-certificate';
export * from './key-vault-certificate-issuer';
export * from './key-vault-key';
export * from './key-vault-secret';
export * from './kubernetes-cluster';
export * from './kubernetes-cluster-node-pool';
export * from './kusto-attached-database-configuration';
export * from './kusto-cluster';
export * from './kusto-cluster-customer-managed-key';
export * from './kusto-cluster-principal-assignment';
export * from './kusto-database';
export * from './kusto-database-principal';
export * from './kusto-database-principal-assignment';
export * from './kusto-eventhub-data-connection';
export * from './lb';
export * from './lb-backend-address-pool';
export * from './lb-nat-pool';
export * from './lb-nat-rule';
export * from './lb-outbound-rule';
export * from './lb-probe';
export * from './lb-rule';
export * from './lighthouse-assignment';
export * from './lighthouse-definition';
export * from './linux-virtual-machine';
export * from './linux-virtual-machine-scale-set';
export * from './local-network-gateway';
export * from './log-analytics-cluster';
export * from './log-analytics-cluster-customer-managed-key';
export * from './log-analytics-data-export-rule';
export * from './log-analytics-datasource-windows-event';
export * from './log-analytics-datasource-windows-performance-counter';
export * from './log-analytics-linked-service';
export * from './log-analytics-linked-storage-account';
export * from './log-analytics-saved-search';
export * from './log-analytics-solution';
export * from './log-analytics-storage-insights';
export * from './log-analytics-workspace';
export * from './logic-app-action-custom';
export * from './logic-app-action-http';
export * from './logic-app-integration-account';
export * from './logic-app-trigger-custom';
export * from './logic-app-trigger-http-request';
export * from './logic-app-trigger-recurrence';
export * from './logic-app-workflow';
export * from './machine-learning-workspace';
export * from './maintenance-assignment-dedicated-host';
export * from './maintenance-assignment-virtual-machine';
export * from './maintenance-configuration';
export * from './managed-application';
export * from './managed-application-definition';
export * from './managed-disk';
export * from './management-group';
export * from './management-lock';
export * from './maps-account';
export * from './mariadb-configuration';
export * from './mariadb-database';
export * from './mariadb-firewall-rule';
export * from './mariadb-server';
export * from './mariadb-virtual-network-rule';
export * from './marketplace-agreement';
export * from './media-asset';
export * from './media-services-account';
export * from './media-transform';
export * from './monitor-action-group';
export * from './monitor-action-rule-action-group';
export * from './monitor-action-rule-suppression';
export * from './monitor-activity-log-alert';
export * from './monitor-autoscale-setting';
export * from './monitor-diagnostic-setting';
export * from './monitor-log-profile';
export * from './monitor-metric-alert';
export * from './monitor-scheduled-query-rules-alert';
export * from './monitor-scheduled-query-rules-log';
export * from './monitor-smart-detector-alert-rule';
export * from './mssql-database';
export * from './mssql-database-extended-auditing-policy';
export * from './mssql-database-vulnerability-assessment-rule-baseline';
export * from './mssql-elasticpool';
export * from './mssql-server';
export * from './mssql-server-extended-auditing-policy';
export * from './mssql-server-security-alert-policy';
export * from './mssql-server-vulnerability-assessment';
export * from './mssql-virtual-machine';
export * from './mysql-active-directory-administrator';
export * from './mysql-configuration';
export * from './mysql-database';
export * from './mysql-firewall-rule';
export * from './mysql-server';
export * from './mysql-server-key';
export * from './mysql-virtual-network-rule';
export * from './nat-gateway';
export * from './nat-gateway-public-ip-association';
export * from './netapp-account';
export * from './netapp-pool';
export * from './netapp-snapshot';
export * from './netapp-volume';
export * from './network-connection-monitor';
export * from './network-ddos-protection-plan';
export * from './network-interface';
export * from './network-interface-application-gateway-backend-address-pool-association';
export * from './network-interface-application-security-group-association';
export * from './network-interface-backend-address-pool-association';
export * from './network-interface-nat-rule-association';
export * from './network-interface-security-group-association';
export * from './network-packet-capture';
export * from './network-profile';
export * from './network-security-group';
export * from './network-security-rule';
export * from './network-watcher';
export * from './network-watcher-flow-log';
export * from './notification-hub';
export * from './notification-hub-authorization-rule';
export * from './notification-hub-namespace';
export * from './orchestrated-virtual-machine-scale-set';
export * from './packet-capture';
export * from './point-to-site-vpn-gateway';
export * from './policy-assignment';
export * from './policy-definition';
export * from './policy-remediation';
export * from './policy-set-definition';
export * from './postgresql-active-directory-administrator';
export * from './postgresql-configuration';
export * from './postgresql-database';
export * from './postgresql-firewall-rule';
export * from './postgresql-server';
export * from './postgresql-server-key';
export * from './postgresql-virtual-network-rule';
export * from './powerbi-embedded';
export * from './private-dns-a-record';
export * from './private-dns-aaaa-record';
export * from './private-dns-cname-record';
export * from './private-dns-mx-record';
export * from './private-dns-ptr-record';
export * from './private-dns-srv-record';
export * from './private-dns-txt-record';
export * from './private-dns-zone';
export * from './private-dns-zone-virtual-network-link';
export * from './private-endpoint';
export * from './private-link-service';
export * from './proximity-placement-group';
export * from './public-ip';
export * from './public-ip-prefix';
export * from './recovery-services-vault';
export * from './redis-cache';
export * from './redis-firewall-rule';
export * from './redis-linked-server';
export * from './relay-hybrid-connection';
export * from './relay-namespace';
export * from './resource-group';
export * from './resource-group-template-deployment';
export * from './resource-provider-registration';
export * from './role-assignment';
export * from './role-definition';
export * from './route';
export * from './route-filter';
export * from './route-table';
export * from './search-service';
export * from './security-center-auto-provisioning';
export * from './security-center-automation';
export * from './security-center-contact';
export * from './security-center-setting';
export * from './security-center-subscription-pricing';
export * from './security-center-workspace';
export * from './sentinel-alert-rule-ms-security-incident';
export * from './sentinel-alert-rule-scheduled';
export * from './service-fabric-cluster';
export * from './service-fabric-mesh-application';
export * from './service-fabric-mesh-local-network';
export * from './service-fabric-mesh-secret';
export * from './service-fabric-mesh-secret-value';
export * from './servicebus-namespace';
export * from './servicebus-namespace-authorization-rule';
export * from './servicebus-namespace-network-rule-set';
export * from './servicebus-queue';
export * from './servicebus-queue-authorization-rule';
export * from './servicebus-subscription';
export * from './servicebus-subscription-rule';
export * from './servicebus-topic';
export * from './servicebus-topic-authorization-rule';
export * from './shared-image';
export * from './shared-image-gallery';
export * from './shared-image-version';
export * from './signalr-service';
export * from './site-recovery-fabric';
export * from './site-recovery-network-mapping';
export * from './site-recovery-protection-container';
export * from './site-recovery-protection-container-mapping';
export * from './site-recovery-replicated-vm';
export * from './site-recovery-replication-policy';
export * from './snapshot';
export * from './spatial-anchors-account';
export * from './spring-cloud-app';
export * from './spring-cloud-certificate';
export * from './spring-cloud-service';
export * from './sql-active-directory-administrator';
export * from './sql-database';
export * from './sql-elasticpool';
export * from './sql-failover-group';
export * from './sql-firewall-rule';
export * from './sql-server';
export * from './sql-virtual-network-rule';
export * from './stack-hci-cluster';
export * from './storage-account';
export * from './storage-account-customer-managed-key';
export * from './storage-account-network-rules';
export * from './storage-blob';
export * from './storage-container';
export * from './storage-data-lake-gen2-filesystem';
export * from './storage-data-lake-gen2-path';
export * from './storage-encryption-scope';
export * from './storage-management-policy';
export * from './storage-queue';
export * from './storage-share';
export * from './storage-share-directory';
export * from './storage-share-file';
export * from './storage-sync';
export * from './storage-sync-cloud-endpoint';
export * from './storage-sync-group';
export * from './storage-table';
export * from './storage-table-entity';
export * from './stream-analytics-function-javascript-udf';
export * from './stream-analytics-job';
export * from './stream-analytics-output-blob';
export * from './stream-analytics-output-eventhub';
export * from './stream-analytics-output-mssql';
export * from './stream-analytics-output-servicebus-queue';
export * from './stream-analytics-output-servicebus-topic';
export * from './stream-analytics-reference-input-blob';
export * from './stream-analytics-stream-input-blob';
export * from './stream-analytics-stream-input-eventhub';
export * from './stream-analytics-stream-input-iothub';
export * from './subnet';
export * from './subnet-nat-gateway-association';
export * from './subnet-network-security-group-association';
export * from './subnet-route-table-association';
export * from './subscription-template-deployment';
export * from './synapse-firewall-rule';
export * from './synapse-role-assignment';
export * from './synapse-spark-pool';
export * from './synapse-sql-pool';
export * from './synapse-workspace';
export * from './template-deployment';
export * from './traffic-manager-endpoint';
export * from './traffic-manager-profile';
export * from './user-assigned-identity';
export * from './virtual-desktop-application-group';
export * from './virtual-desktop-host-pool';
export * from './virtual-desktop-workspace';
export * from './virtual-desktop-workspace-application-group-association';
export * from './virtual-hub';
export * from './virtual-hub-bgp-connection';
export * from './virtual-hub-connection';
export * from './virtual-hub-ip';
export * from './virtual-hub-route-table';
export * from './virtual-hub-security-partner-provider';
export * from './virtual-machine';
export * from './virtual-machine-data-disk-attachment';
export * from './virtual-machine-extension';
export * from './virtual-machine-scale-set';
export * from './virtual-machine-scale-set-extension';
export * from './virtual-network';
export * from './virtual-network-gateway';
export * from './virtual-network-gateway-connection';
export * from './virtual-network-peering';
export * from './virtual-wan';
export * from './vpn-gateway';
export * from './vpn-gateway-connection';
export * from './vpn-server-configuration';
export * from './vpn-site';
export * from './web-application-firewall-policy';
export * from './windows-virtual-machine';
export * from './windows-virtual-machine-scale-set';
export * from './data-azurerm-advisor-recommendations';
export * from './data-azurerm-api-management';
export * from './data-azurerm-api-management-api';
export * from './data-azurerm-api-management-api-version-set';
export * from './data-azurerm-api-management-group';
export * from './data-azurerm-api-management-product';
export * from './data-azurerm-api-management-user';
export * from './data-azurerm-app-configuration';
export * from './data-azurerm-app-service';
export * from './data-azurerm-app-service-certificate';
export * from './data-azurerm-app-service-certificate-order';
export * from './data-azurerm-app-service-environment';
export * from './data-azurerm-app-service-plan';
export * from './data-azurerm-application-insights';
export * from './data-azurerm-application-security-group';
export * from './data-azurerm-attestation-provider';
export * from './data-azurerm-automation-account';
export * from './data-azurerm-automation-variable-bool';
export * from './data-azurerm-automation-variable-datetime';
export * from './data-azurerm-automation-variable-int';
export * from './data-azurerm-automation-variable-string';
export * from './data-azurerm-availability-set';
export * from './data-azurerm-backup-policy-vm';
export * from './data-azurerm-batch-account';
export * from './data-azurerm-batch-certificate';
export * from './data-azurerm-batch-pool';
export * from './data-azurerm-blueprint-definition';
export * from './data-azurerm-blueprint-published-version';
export * from './data-azurerm-cdn-profile';
export * from './data-azurerm-client-config';
export * from './data-azurerm-cognitive-account';
export * from './data-azurerm-container-registry';
export * from './data-azurerm-cosmosdb-account';
export * from './data-azurerm-data-factory';
export * from './data-azurerm-data-lake-store';
export * from './data-azurerm-data-share';
export * from './data-azurerm-data-share-account';
export * from './data-azurerm-data-share-dataset-blob-storage';
export * from './data-azurerm-data-share-dataset-data-lake-gen1';
export * from './data-azurerm-data-share-dataset-data-lake-gen2';
export * from './data-azurerm-data-share-dataset-kusto-cluster';
export * from './data-azurerm-data-share-dataset-kusto-database';
export * from './data-azurerm-database-migration-project';
export * from './data-azurerm-database-migration-service';
export * from './data-azurerm-databricks-workspace';
export * from './data-azurerm-dedicated-host';
export * from './data-azurerm-dedicated-host-group';
export * from './data-azurerm-dev-test-lab';
export * from './data-azurerm-dev-test-virtual-network';
export * from './data-azurerm-digital-twins-instance';
export * from './data-azurerm-disk-encryption-set';
export * from './data-azurerm-dns-zone';
export * from './data-azurerm-eventgrid-topic';
export * from './data-azurerm-eventhub';
export * from './data-azurerm-eventhub-authorization-rule';
export * from './data-azurerm-eventhub-consumer-group';
export * from './data-azurerm-eventhub-namespace';
export * from './data-azurerm-eventhub-namespace-authorization-rule';
export * from './data-azurerm-express-route-circuit';
export * from './data-azurerm-firewall';
export * from './data-azurerm-firewall-policy';
export * from './data-azurerm-function-app';
export * from './data-azurerm-function-app-host-keys';
export * from './data-azurerm-hdinsight-cluster';
export * from './data-azurerm-healthcare-service';
export * from './data-azurerm-image';
export * from './data-azurerm-images';
export * from './data-azurerm-iothub-dps';
export * from './data-azurerm-iothub-dps-shared-access-policy';
export * from './data-azurerm-iothub-shared-access-policy';
export * from './data-azurerm-ip-group';
export * from './data-azurerm-key-vault';
export * from './data-azurerm-key-vault-access-policy';
export * from './data-azurerm-key-vault-certificate';
export * from './data-azurerm-key-vault-certificate-issuer';
export * from './data-azurerm-key-vault-key';
export * from './data-azurerm-key-vault-secret';
export * from './data-azurerm-kubernetes-cluster';
export * from './data-azurerm-kubernetes-cluster-node-pool';
export * from './data-azurerm-kubernetes-service-versions';
export * from './data-azurerm-kusto-cluster';
export * from './data-azurerm-lb';
export * from './data-azurerm-lb-backend-address-pool';
export * from './data-azurerm-lb-rule';
export * from './data-azurerm-log-analytics-workspace';
export * from './data-azurerm-logic-app-integration-account';
export * from './data-azurerm-logic-app-workflow';
export * from './data-azurerm-machine-learning-workspace';
export * from './data-azurerm-maintenance-configuration';
export * from './data-azurerm-managed-application-definition';
export * from './data-azurerm-managed-disk';
export * from './data-azurerm-management-group';
export * from './data-azurerm-maps-account';
export * from './data-azurerm-mariadb-server';
export * from './data-azurerm-monitor-action-group';
export * from './data-azurerm-monitor-diagnostic-categories';
export * from './data-azurerm-monitor-log-profile';
export * from './data-azurerm-monitor-scheduled-query-rules-alert';
export * from './data-azurerm-monitor-scheduled-query-rules-log';
export * from './data-azurerm-mssql-database';
export * from './data-azurerm-mssql-elasticpool';
export * from './data-azurerm-mssql-server';
export * from './data-azurerm-mysql-server';
export * from './data-azurerm-nat-gateway';
export * from './data-azurerm-netapp-account';
export * from './data-azurerm-netapp-pool';
export * from './data-azurerm-netapp-snapshot';
export * from './data-azurerm-netapp-volume';
export * from './data-azurerm-network-ddos-protection-plan';
export * from './data-azurerm-network-interface';
export * from './data-azurerm-network-security-group';
export * from './data-azurerm-network-service-tags';
export * from './data-azurerm-network-watcher';
export * from './data-azurerm-notification-hub';
export * from './data-azurerm-notification-hub-namespace';
export * from './data-azurerm-platform-image';
export * from './data-azurerm-policy-definition';
export * from './data-azurerm-policy-set-definition';
export * from './data-azurerm-postgresql-server';
export * from './data-azurerm-private-dns-zone';
export * from './data-azurerm-private-endpoint-connection';
export * from './data-azurerm-private-link-service';
export * from './data-azurerm-private-link-service-endpoint-connections';
export * from './data-azurerm-proximity-placement-group';
export * from './data-azurerm-public-ip';
export * from './data-azurerm-public-ip-prefix';
export * from './data-azurerm-public-ips';
export * from './data-azurerm-recovery-services-vault';
export * from './data-azurerm-redis-cache';
export * from './data-azurerm-resource-group';
export * from './data-azurerm-resources';
export * from './data-azurerm-role-definition';
export * from './data-azurerm-route-filter';
export * from './data-azurerm-route-table';
export * from './data-azurerm-sentinel-alert-rule';
export * from './data-azurerm-servicebus-namespace';
export * from './data-azurerm-servicebus-namespace-authorization-rule';
export * from './data-azurerm-servicebus-queue-authorization-rule';
export * from './data-azurerm-servicebus-subscription';
export * from './data-azurerm-servicebus-topic-authorization-rule';
export * from './data-azurerm-shared-image';
export * from './data-azurerm-shared-image-gallery';
export * from './data-azurerm-shared-image-version';
export * from './data-azurerm-shared-image-versions';
export * from './data-azurerm-signalr-service';
export * from './data-azurerm-snapshot';
export * from './data-azurerm-spring-cloud-service';
export * from './data-azurerm-sql-database';
export * from './data-azurerm-sql-server';
export * from './data-azurerm-storage-account';
export * from './data-azurerm-storage-account-blob-container-sas';
export * from './data-azurerm-storage-account-sas';
export * from './data-azurerm-storage-container';
export * from './data-azurerm-storage-encryption-scope';
export * from './data-azurerm-storage-management-policy';
export * from './data-azurerm-storage-sync';
export * from './data-azurerm-storage-sync-group';
export * from './data-azurerm-stream-analytics-job';
export * from './data-azurerm-subnet';
export * from './data-azurerm-subscription';
export * from './data-azurerm-subscriptions';
export * from './data-azurerm-synapse-workspace';
export * from './data-azurerm-traffic-manager-geographical-location';
export * from './data-azurerm-traffic-manager-profile';
export * from './data-azurerm-user-assigned-identity';
export * from './data-azurerm-virtual-hub';
export * from './data-azurerm-virtual-machine';
export * from './data-azurerm-virtual-machine-scale-set';
export * from './data-azurerm-virtual-network';
export * from './data-azurerm-virtual-network-gateway';
export * from './data-azurerm-virtual-network-gateway-connection';
export * from './data-azurerm-virtual-wan';
export * from './data-azurerm-web-application-firewall-policy';
export * from './azurerm-provider';
