import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NatGatewayPublicIpAssociationConfig extends cdktf.TerraformMetaArguments {
    readonly natGatewayId: string;
    readonly publicIpAddressId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NatGatewayPublicIpAssociationTimeouts;
}
export interface NatGatewayPublicIpAssociationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class NatGatewayPublicIpAssociation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NatGatewayPublicIpAssociationConfig);
    get id(): string;
    private _natGatewayId;
    get natGatewayId(): string;
    set natGatewayId(value: string);
    get natGatewayIdInput(): string;
    private _publicIpAddressId;
    get publicIpAddressId(): string;
    set publicIpAddressId(value: string);
    get publicIpAddressIdInput(): string;
    private _timeouts?;
    get timeouts(): NatGatewayPublicIpAssociationTimeouts;
    set timeouts(value: NatGatewayPublicIpAssociationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NatGatewayPublicIpAssociationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
