import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SecurityCenterAutoProvisioningConfig extends cdktf.TerraformMetaArguments {
    readonly autoProvision: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SecurityCenterAutoProvisioningTimeouts;
}
export interface SecurityCenterAutoProvisioningTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SecurityCenterAutoProvisioning extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SecurityCenterAutoProvisioningConfig);
    private _autoProvision;
    get autoProvision(): string;
    set autoProvision(value: string);
    get autoProvisionInput(): string;
    get id(): string;
    private _timeouts?;
    get timeouts(): SecurityCenterAutoProvisioningTimeouts;
    set timeouts(value: SecurityCenterAutoProvisioningTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SecurityCenterAutoProvisioningTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
